rootProject.name = "kmptcp_kotlin_sample"
enableFeaturePreview("TYPESAFE_PROJECT_ACCESSORS")

pluginManagement {
    repositories {
//        maven {
//         url = uri("/Users/jiangyuhuan/AndroidStudioProjects/kmptpc_kotlin/build/repo")
//        }
        // mavenLocal() // 备用：脚本中也执行了
        maven("https://maven.eazytec-cloud.com/nexus/repository/maven-public/")
        // 引入 Gradle 插件门户（主要用于查找 Gradle 插件）
        gradlePluginPortal()
    }
}

dependencyResolutionManagement {
    repositories {
//         maven {
//         url = uri("/Users/jiangyuhuan/AndroidStudioProjects/kmptpc_kotlin/build/repo")
//         }
        // mavenLocal()
        maven("https://maven.eazytec-cloud.com/nexus/repository/maven-public/")
    }
}

include(":composeApp")
include(":lib-arith")
include(":lib-analytics")
include(":lib-base")
